Banking as a Service
Update Onboarding
Submit additional documentation or update an existing onboarding
PATCH
/
v1
/
baas
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
Update Onboarding
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id} \
--header 'Content-Type: application/json' \
--data '
{
"documents": [
{}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id}"
payload = { "documents": [{}] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({documents: [{}]})
};
fetch('https://api-sandbox.y.uno/v1/baas/entities/{entity_id}/onboardings/{onboarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"onboarding_type": "ONE_STEP",
"status": "UNDER_REVIEW",
"requirements": [],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T09:00:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}
Path parameters
string
required
The entity identifier.
string
required
The onboarding identifier.
Body
Use this endpoint to submit additional documentation when the onboarding status isPENDING_ADDITIONAL_DOCUMENTATION.
array
Array of documents to submit. Each document includes:
type. Document type (e.g.,PROOF_OF_ADDRESS,IDENTITY_DOCUMENT)file_name. Name of the filecontent_type. MIME type (e.g.,image/jpeg,application/pdf)content. Base64-encoded file content
Response
Returns the updated onboarding object.{
"id": "onb_990e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"yuno_account_id": "550e8400-e29b-41d4-a716-446655440000",
"onboarding_type": "ONE_STEP",
"status": "UNDER_REVIEW",
"requirements": [],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T09:00:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}
⌘I
Update Onboarding
